    /*************************************************************************
    *                                                                        *
    * A short introduction how to write a MIMER/SH application program in C. *
    *                                                                        *
    *************************************************************************/

main()
{
   int    term = 0, dbid[10], tbid[10], ba, icond, i0 = 0;

   /*
    * Initiate mimer db-handler and utility routines.
    */

   minit_();
   cinit_();

   /*
    * Initiate screen and pictures.
    */

   inish2_(&term, "TEST    ");
   inpsh2_("MENY    ");
   inash2_("MENY    ");
   inpsh2_("PICTURE ");
   inash2_("PICTURE ");

   /*
    * Log in and open database and table(s).
    */

   begin2_(&icond,"DBASE ","dbase ");
   if (icond) ex("main: Can't log in.\n");
   opend2_(dbid,"DBASE ","S");
   if (dbid[0]) ex("main: Can't open databank.\n");
   opent2_(tbid,dbid,"DBTABLE ","S");
   if (tbid[0]) ex("main: Can't open table.\n");

   /*
    * Project between db-rows and sh-fields.
    */

   prosh2_(tbid, "F", "DBROW1  ", "RW", &ba, "SHFLD1 ", "*");
   prosh2_(tbid, "A", "DBROW2  ", "RW", &ba, "SHFLD2 ", "*");

   /*
    * Clear screen. 
    * The parameter-adresses must be sent to the FORTRAN routines.
    */

   clssh2_("WH", &i0, &i0, &i0, &i0);

   /*
    * And so on...
    * Note: Since all FORTRAN variables are integers, make a C-routine
    *       that converts to/from C-character-strings and 
    *       FORTRAN-integer-arrays.
    */


   /*
    * Terminate session.
    */

   endsh2_();
}
